import { Gtk } from "astal/gtk4"
import Power from "./modules/Power";
import Audio from "./modules/Audio/Audio";
import Bluetooth from "./modules/Bluetooth/Bluetooth";

const QuickActions = () => {
    const popover = new Gtk.Popover( { cssClasses: [ 'quick-actions-popover' ] } );

    popover.set_child( createQuickActionMenu() );

    return popover;
}


const createQuickActionMenu = () => {
    // TODO: For the future add WiFi / Networking back, for the time being remove, as unnecessary effort
    return <box visible cssClasses={[ 'quick-actions' ]} vertical>
        <Power></Power>
        <Bluetooth.BluetoothModule></Bluetooth.BluetoothModule>
        <Audio.AudioModule></Audio.AudioModule>
    </box>
}


// TODO: Expose additional functions to be usable through CLI
export default {
    QuickActions
};
